/**================================================================================================
Hochschule Luzern - Technik & Architektur                                  Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                                                    http://hslu.ximit.ch
---------------------------------------------------------------------------------------------------
Name        : ampel.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-10-07v1.0
Description : Ampel
=================================================================================================*/

#include <stdio.h>
#include "ampel.h"

typedef enum State_ {
	RED, // 0
	GREEN, // 1
	GREEN_BLINKING, // 2
	YELLOW, // 3
	STATE_COUNT
} State;

static int currState = 0;


int getState(void)
{
	return currState;
}

void nextState(void)
{
	if (currState < (STATE_COUNT - 1)) {
		currState++;
	} else {
		currState = 0;
	}
}


void printState(void)
{
	switch (currState) {
	case RED:
		printf("Rot\n");
		break;
	case GREEN:
		printf("Gruen\n");
		break;
	case GREEN_BLINKING:
		printf("Gruen blinkend\n");
		break;
	case YELLOW:
		printf("Gelb\n");
		break;
	} // switch
}
