/**================================================================================================
Hochschule Luzern - Technik & Architektur                                  Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                                                    http://hslu.ximit.ch
---------------------------------------------------------------------------------------------------
Name        : ampel.h
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-10-07v1.0
Description : Ampel
=================================================================================================*/

/**
 * Gibt den aktuellen Zustand zurck
 * @return Int-Wert fr den aktuellen Zustand
 */
int getState(void);

/**
 * Setz die Ampel auf den nchsten Status, Zustand
 */
void nextState(void);

/**
 * Gibt den aktuellen Zustand auf stdout aus
 */
void printState(void);
